Bug 148915 - window-list fails to raise windows from grouped lists
window-list fails to raise windows from grouped lists
Product: Fedora
Classification: Fedora
Component: libwnck (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
: 149083 149313 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2005-02-16 16:45 EST by John Ellson
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-08-31 12:15:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description John Ellson 2005-02-16 16:45:15 EST
Description of problem:
If a window icon is not part of a group then clicking on it will raise
the associated window, but if it's icon is part of a group this fails. 

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. open firefox and enough gnome-terminal windows to form a group in
window-list applet.
2. click on firefox icon and it raises to front.
3. click on any of the grouped gnome-terminal entries
Actual results:
gnome-terminal window not raised

Expected results:
gnome-terminal window raised

Additional info:
Comment 1 Mark McLoughlin 2005-02-22 06:51:20 EST
*** Bug 149313 has been marked as a duplicate of this bug. ***
Comment 2 Mark McLoughlin 2005-02-22 06:55:05 EST
*** Bug 149083 has been marked as a duplicate of this bug. ***
Comment 3 Mark McLoughlin 2005-02-22 07:02:41 EST
Hmm, there's something strange here. I don't think this behaviour of
showing a menu when you click on a group is anything new - e.g. see:


So, what's actually different about the behaviour in rawhide? Did the
window list just used to group less aggressively so you never noticed
the group menu thing before or ... ?
Comment 4 Trever Adams 2005-02-22 12:44:42 EST
Yes, the  menu is not the problem. It is that when you click on the
given item in the menu, nothing gets raised. That is the problem. The
grouping also seems to happen WAY too soon in recent rawhide builds
(1024x768 with standard panel setup you have enough room for at least
8 items without shrinking their size any from the ridiculously small
default and yet it groups at three... how screwed up!)!
Comment 5 John Ellson 2005-03-31 17:29:21 EST
Rechecking this bug today and it seems to be fixed.

Note You need to log in before you can comment on or make changes to this bug.